#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  CustomStateSet = 2081,
  DOMException = 2096,
  DOMImplementation = 2109,
  DOMLocalization = 2127,
  DOMMatrix = 2143,
  DOMMatrixReadOnly = 2153,
  DOMParser = 2171,
  DOMPoint = 2181,
  DOMPointReadOnly = 2190,
  DOMQuad = 2207,
  DOMRect = 2215,
  DOMRectList = 2223,
  DOMRectReadOnly = 2235,
  DOMRequest = 2251,
  DOMStringList = 2262,
  DOMStringMap = 2276,
  DOMTokenList = 2289,
  DataTransfer = 2302,
  DataTransferItem = 2315,
  DataTransferItemList = 2332,
  DebuggerNotification = 2353,
  DebuggerNotificationObserver = 2374,
  DecompressionStream = 2403,
  DedicatedWorkerGlobalScope = 2423,
  DelayNode = 2450,
  DeprecationReportBody = 2460,
  DeviceAcceleration = 2482,
  DeviceLightEvent = 2501,
  DeviceMotionEvent = 2518,
  DeviceOrientationEvent = 2536,
  DeviceRotationRate = 2559,
  Directory = 2578,
  Document = 2588,
  DocumentFragment = 2597,
  DocumentL10n = 2614,
  DocumentTimeline = 2627,
  DocumentType = 2644,
  DominatorTree = 2657,
  DragEvent = 2671,
  DynamicsCompressorNode = 2681,
  EXT_blend_minmax = 2704,
  EXT_color_buffer_float = 2721,
  EXT_color_buffer_half_float = 2744,
  EXT_disjoint_timer_query = 2772,
  EXT_float_blend = 2797,
  EXT_frag_depth = 2813,
  EXT_sRGB = 2828,
  EXT_shader_texture_lod = 2837,
  EXT_texture_compression_bptc = 2860,
  EXT_texture_compression_rgtc = 2889,
  EXT_texture_filter_anisotropic = 2918,
  EXT_texture_norm16 = 2949,
  Element = 2968,
  ElementInternals = 2976,
  EncodedVideoChunk = 2993,
  ErrorEvent = 3011,
  Event = 3022,
  EventCallbackDebuggerNotification = 3028,
  EventCounts = 3062,
  EventSource = 3074,
  EventTarget = 3086,
  Exception = 3098,
  ExtendableEvent = 3108,
  ExtendableMessageEvent = 3124,
  ExtensionAlarms = 3147,
  ExtensionBrowser = 3163,
  ExtensionBrowserSettings = 3180,
  ExtensionBrowserSettingsColorManagement = 3205,
  ExtensionDns = 3245,
  ExtensionEventManager = 3258,
  ExtensionMockAPI = 3280,
  ExtensionPort = 3297,
  ExtensionProxy = 3311,
  ExtensionRuntime = 3326,
  ExtensionScripting = 3343,
  ExtensionSetting = 3362,
  ExtensionTest = 3379,
  External = 3393,
  FeaturePolicy = 3402,
  FeaturePolicyViolationReportBody = 3416,
  FetchEvent = 3449,
  FetchObserver = 3460,
  File = 3474,
  FileList = 3479,
  FileReader = 3488,
  FileReaderSync = 3499,
  FileSystem = 3514,
  FileSystemDirectoryEntry = 3525,
  FileSystemDirectoryHandle = 3550,
  FileSystemDirectoryHandle_AsyncIterator = 3576,
  FileSystemDirectoryIterator = 3616,
  FileSystemDirectoryReader = 3644,
  FileSystemEntry = 3670,
  FileSystemFileEntry = 3686,
  FileSystemFileHandle = 3706,
  FileSystemHandle = 3727,
  FileSystemSyncAccessHandle = 3744,
  FileSystemWritableFileStream = 3771,
  Flex = 3800,
  FlexItemValues = 3805,
  FlexLineValues = 3820,
  FluentBundle = 3835,
  FluentBundleAsyncIterator = 3848,
  FluentBundleIterator = 3874,
  FluentPattern = 3895,
  FluentResource = 3909,
  FocusEvent = 3924,
  FontFace = 3935,
  FontFaceSet = 3944,
  FontFaceSetIterator = 3956,
  FontFaceSetLoadEvent = 3976,
  FormData = 3997,
  FormData_Iterator = 4006,
  FormDataEvent = 4024,
  FrameCrashedEvent = 4038,
  FrameLoader = 4056,
  GPU = 4068,
  GPUAdapter = 4072,
  GPUAdapterInfo = 4083,
  GPUBindGroup = 4098,
  GPUBindGroupLayout = 4111,
  GPUBuffer = 4130,
  GPUBufferUsage = 4140,
  GPUCanvasContext = 4155,
  GPUColorWrite = 4172,
  GPUCommandBuffer = 4186,
  GPUCommandEncoder = 4203,
  GPUCompilationInfo = 4221,
  GPUCompilationMessage = 4240,
  GPUComputePassEncoder = 4262,
  GPUComputePipeline = 4284,
  GPUDevice = 4303,
  GPUDeviceLostInfo = 4313,
  GPUError = 4331,
  GPUInternalError = 4340,
  GPUMapMode = 4357,
  GPUOutOfMemoryError = 4368,
  GPUPipelineLayout = 4388,
  GPUQuerySet = 4406,
  GPUQueue = 4418,
  GPURenderBundle = 4427,
  GPURenderBundleEncoder = 4443,
  GPURenderPassEncoder = 4466,
  GPURenderPipeline = 4487,
  GPUSampler = 4505,
  GPUShaderModule = 4516,
  GPUShaderStage = 4532,
  GPUSupportedFeatures = 4547,
  GPUSupportedLimits = 4568,
  GPUTexture = 4587,
  GPUTextureUsage = 4598,
  GPUTextureView = 4614,
  GPUUncapturedErrorEvent = 4629,
  GPUValidationError = 4653,
  GainNode = 4672,
  Gamepad = 4681,
  GamepadAxisMoveEvent = 4689,
  GamepadButton = 4710,
  GamepadButtonEvent = 4724,
  GamepadEvent = 4743,
  GamepadHapticActuator = 4756,
  GamepadLightIndicator = 4778,
  GamepadPose = 4800,
  GamepadServiceTest = 4812,
  GamepadTouch = 4831,
  Geolocation = 4844,
  GeolocationCoordinates = 4856,
  GeolocationPosition = 4879,
  GeolocationPositionError = 4899,
  GetUserMediaRequest = 4924,
  GleanBoolean = 4944,
  GleanCategory = 4957,
  GleanCounter = 4971,
  GleanCustomDistribution = 4984,
  GleanDatetime = 5008,
  GleanDenominator = 5022,
  GleanEvent = 5039,
  GleanImpl = 5050,
  GleanLabeled = 5060,
  GleanMemoryDistribution = 5073,
  GleanMetric = 5097,
  GleanNumerator = 5109,
  GleanPingsImpl = 5124,
  GleanQuantity = 5139,
  GleanRate = 5153,
  GleanString = 5163,
  GleanStringList = 5175,
  GleanText = 5191,
  GleanTimespan = 5201,
  GleanTimingDistribution = 5215,
  GleanUrl = 5239,
  GleanUuid = 5248,
  Grid = 5258,
  GridArea = 5263,
  GridDimension = 5272,
  GridLine = 5286,
  GridLines = 5295,
  GridTrack = 5305,
  GridTracks = 5315,
  HTMLAllCollection = 5326,
  HTMLAnchorElement = 5344,
  HTMLAreaElement = 5362,
  HTMLAudioElement = 5378,
  HTMLBRElement = 5395,
  HTMLBaseElement = 5409,
  HTMLBodyElement = 5425,
  HTMLButtonElement = 5441,
  HTMLCanvasElement = 5459,
  HTMLCollection = 5477,
  HTMLDListElement = 5492,
  HTMLDataElement = 5509,
  HTMLDataListElement = 5525,
  HTMLDetailsElement = 5545,
  HTMLDialogElement = 5564,
  HTMLDirectoryElement = 5582,
  HTMLDivElement = 5603,
  HTMLDocument = 5618,
  HTMLElement = 5631,
  HTMLEmbedElement = 5643,
  HTMLFieldSetElement = 5660,
  HTMLFontElement = 5680,
  HTMLFormControlsCollection = 5696,
  HTMLFormElement = 5723,
  HTMLFrameElement = 5739,
  HTMLFrameSetElement = 5756,
  HTMLHRElement = 5776,
  HTMLHeadElement = 5790,
  HTMLHeadingElement = 5806,
  HTMLHtmlElement = 5825,
  HTMLIFrameElement = 5841,
  HTMLImageElement = 5859,
  HTMLInputElement = 5876,
  HTMLLIElement = 5893,
  HTMLLabelElement = 5907,
  HTMLLegendElement = 5924,
  HTMLLinkElement = 5942,
  HTMLMapElement = 5958,
  HTMLMarqueeElement = 5973,
  HTMLMediaElement = 5992,
  HTMLMenuElement = 6009,
  HTMLMetaElement = 6025,
  HTMLMeterElement = 6041,
  HTMLModElement = 6058,
  HTMLOListElement = 6073,
  HTMLObjectElement = 6090,
  HTMLOptGroupElement = 6108,
  HTMLOptionElement = 6128,
  HTMLOptionsCollection = 6146,
  HTMLOutputElement = 6168,
  HTMLParagraphElement = 6186,
  HTMLParamElement = 6207,
  HTMLPictureElement = 6224,
  HTMLPreElement = 6243,
  HTMLProgressElement = 6258,
  HTMLQuoteElement = 6278,
  HTMLScriptElement = 6295,
  HTMLSelectElement = 6313,
  HTMLSlotElement = 6331,
  HTMLSourceElement = 6347,
  HTMLSpanElement = 6365,
  HTMLStyleElement = 6381,
  HTMLTableCaptionElement = 6398,
  HTMLTableCellElement = 6422,
  HTMLTableColElement = 6443,
  HTMLTableElement = 6463,
  HTMLTableRowElement = 6480,
  HTMLTableSectionElement = 6500,
  HTMLTemplateElement = 6524,
  HTMLTextAreaElement = 6544,
  HTMLTimeElement = 6564,
  HTMLTitleElement = 6580,
  HTMLTrackElement = 6597,
  HTMLUListElement = 6614,
  HTMLUnknownElement = 6631,
  HTMLVideoElement = 6650,
  HashChangeEvent = 6667,
  Headers = 6683,
  Headers_Iterator = 6691,
  HeapSnapshot = 6708,
  Highlight = 6721,
  HighlightRegistry = 6731,
  History = 6749,
  IDBCursor = 6757,
  IDBCursorWithValue = 6767,
  IDBDatabase = 6786,
  IDBFactory = 6798,
  IDBIndex = 6809,
  IDBKeyRange = 6818,
  IDBLocaleAwareKeyRange = 6830,
  IDBObjectStore = 6853,
  IDBOpenDBRequest = 6868,
  IDBRequest = 6885,
  IDBTransaction = 6896,
  IDBVersionChangeEvent = 6911,
  IIRFilterNode = 6933,
  IOUtils = 6947,
  IdentityCredential = 6955,
  IdleDeadline = 6974,
  Image = 6987,
  ImageBitmap = 6993,
  ImageBitmapRenderingContext = 7005,
  ImageCapture = 7033,
  ImageCaptureError = 7046,
  ImageCaptureErrorEvent = 7064,
  ImageData = 7087,
  ImageDocument = 7097,
  InputEvent = 7111,
  InspectorFontFace = 7122,
  InspectorUtils = 7140,
  InstallTriggerImpl = 7155,
  IntersectionObserver = 7174,
  IntersectionObserverEntry = 7195,
  IntlUtils = 7221,
  InvokeEvent = 7231,
  JSProcessActorChild = 7243,
  JSProcessActorParent = 7263,
  JSWindowActorChild = 7284,
  JSWindowActorParent = 7303,
  KeyEvent = 7323,
  KeyboardEvent = 7332,
  KeyframeEffect = 7346,
  L10nFileSource = 7361,
  L10nOverlays = 7376,
  L10nRegistry = 7389,
  LargestContentfulPaint = 7402,
  LegacyMozTCPSocket = 7425,
  Localization = 7444,
  Location = 7457,
  Lock = 7466,
  LockManager = 7471,
  MIDIAccess = 7483,
  MIDIConnectionEvent = 7494,
  MIDIInput = 7514,
  MIDIInputMap = 7524,
  MIDIMessageEvent = 7537,
  MIDIOutput = 7554,
  MIDIOutputMap = 7565,
  MIDIPort = 7579,
  MOZ_debug = 7588,
  MatchGlob = 7598,
  MatchPattern = 7608,
  MatchPatternSet = 7621,
  MathMLElement = 7637,
  MediaCapabilities = 7651,
  MediaCapabilitiesInfo = 7669,
  MediaControlService = 7691,
  MediaController = 7711,
  MediaDeviceInfo = 7727,
  MediaDevices = 7743,
  MediaElementAudioSourceNode = 7756,
  MediaEncryptedEvent = 7784,
  MediaError = 7804,
  MediaKeyError = 7815,
  MediaKeyMessageEvent = 7829,
  MediaKeySession = 7850,
  MediaKeyStatusMap = 7866,
  MediaKeyStatusMap_Iterator = 7884,
  MediaKeySystemAccess = 7911,
  MediaKeys = 7932,
  MediaList = 7942,
  MediaMetadata = 7952,
  MediaQueryList = 7966,
  MediaQueryListEvent = 7981,
  MediaRecorder = 8001,
  MediaRecorderErrorEvent = 8015,
  MediaSession = 8039,
  MediaSource = 8052,
  MediaStream = 8064,
  MediaStreamAudioDestinationNode = 8076,
  MediaStreamAudioSourceNode = 8108,
  MediaStreamError = 8135,
  MediaStreamEvent = 8152,
  MediaStreamTrack = 8169,
  MediaStreamTrackAudioSourceNode = 8186,
  MediaStreamTrackEvent = 8218,
  MerchantValidationEvent = 8240,
  MessageBroadcaster = 8264,
  MessageChannel = 8283,
  MessageEvent = 8298,
  MessageListenerManager = 8311,
  MessagePort = 8334,
  MessageSender = 8346,
  MimeType = 8360,
  MimeTypeArray = 8369,
  MouseEvent = 8383,
  MouseScrollEvent = 8394,
  MozCanvasPrintState = 8411,
  MozDocumentMatcher = 8431,
  MozDocumentObserver = 8450,
  MozQueryInterface = 8470,
  MozSharedMap = 8488,
  MozSharedMap_Iterator = 8501,
  MozSharedMapChangeEvent = 8523,
  MozStorageAsyncStatementParams = 8547,
  MozStorageStatementParams = 8578,
  MozStorageStatementRow = 8604,
  MozWritableSharedMap = 8627,
  MutationEvent = 8648,
  MutationObserver = 8662,
  MutationRecord = 8679,
  NamedNodeMap = 8694,
  NavigationPreloadManager = 8707,
  Navigator = 8732,
  NetworkInformation = 8742,
  Node = 8761,
  NodeFilter = 8766,
  NodeIterator = 8777,
  NodeList = 8790,
  Notification = 8799,
  NotificationEvent = 8812,
  NotifyPaintEvent = 8830,
  OES_draw_buffers_indexed = 8847,
  OES_element_index_uint = 8872,
  OES_fbo_render_mipmap = 8895,
  OES_standard_derivatives = 8917,
  OES_texture_float = 8942,
  OES_texture_float_linear = 8960,
  OES_texture_half_float = 8985,
  OES_texture_half_float_linear = 9008,
  OES_vertex_array_object = 9038,
  OVR_multiview2 = 9062,
  OfflineAudioCompletionEvent = 9077,
  OfflineAudioContext = 9105,
  OffscreenCanvas = 9125,
  OffscreenCanvasRenderingContext2D = 9141,
  OnlyForUseInConstructor = 9175,
  Option = 9199,
  OscillatorNode = 9206,
  PageTransitionEvent = 9221,
  PaintRequest = 9241,
  PaintRequestList = 9254,
  PaintWorkletGlobalScope = 9271,
  PannerNode = 9295,
  ParentProcessMessageManager = 9306,
  Path2D = 9334,
  PathUtils = 9341,
  PaymentAddress = 9351,
  PaymentMethodChangeEvent = 9366,
  PaymentRequest = 9391,
  PaymentRequestUpdateEvent = 9406,
  PaymentResponse = 9432,
  PeerConnectionImpl = 9448,
  PeerConnectionObserver = 9467,
  Performance = 9490,
  PerformanceEntry = 9502,
  PerformanceEntryEvent = 9519,
  PerformanceEventTiming = 9541,
  PerformanceMark = 9564,
  PerformanceMeasure = 9580,
  PerformanceNavigation = 9599,
  PerformanceNavigationTiming = 9621,
  PerformanceObserver = 9649,
  PerformanceObserverEntryList = 9669,
  PerformancePaintTiming = 9698,
  PerformanceResourceTiming = 9721,
  PerformanceServerTiming = 9747,
  PerformanceTiming = 9771,
  PeriodicWave = 9789,
  PermissionStatus = 9802,
  Permissions = 9819,
  PlacesBookmark = 9831,
  PlacesBookmarkAddition = 9846,
  PlacesBookmarkChanged = 9869,
  PlacesBookmarkGuid = 9891,
  PlacesBookmarkKeyword = 9910,
  PlacesBookmarkMoved = 9932,
  PlacesBookmarkRemoved = 9952,
  PlacesBookmarkTags = 9974,
  PlacesBookmarkTime = 9993,
  PlacesBookmarkTitle = 10012,
  PlacesBookmarkUrl = 10032,
  PlacesEvent = 10050,
  PlacesFavicon = 10062,
  PlacesHistoryCleared = 10076,
  PlacesObservers = 10097,
  PlacesPurgeCaches = 10113,
  PlacesRanking = 10131,
  PlacesVisit = 10145,
  PlacesVisitRemoved = 10157,
  PlacesVisitTitle = 10176,
  PlacesWeakCallbackWrapper = 10193,
  Plugin = 10219,
  PluginArray = 10226,
  PluginCrashedEvent = 10238,
  PointerEvent = 10257,
  PopStateEvent = 10270,
  PopupBlockedEvent = 10284,
  PopupPositionedEvent = 10302,
  PositionStateEvent = 10323,
  PrecompiledScript = 10342,
  ProcessMessageManager = 10360,
  ProcessingInstruction = 10382,
  ProgressEvent = 10404,
  PromiseDebugging = 10418,
  PromiseNativeHandler = 10435,
  PromiseRejectionEvent = 10456,
  PublicKeyCredential = 10478,
  PushEvent = 10498,
  PushManager = 10508,
  PushManagerImpl = 10520,
  PushMessageData = 10536,
  PushSubscription = 10552,
  PushSubscriptionOptions = 10569,
  RTCCertificate = 10593,
  RTCDTMFSender = 10608,
  RTCDTMFToneChangeEvent = 10622,
  RTCDataChannel = 10645,
  RTCDataChannelEvent = 10660,
  RTCDtlsTransport = 10680,
  RTCEncodedAudioFrame = 10697,
  RTCEncodedVideoFrame = 10718,
  RTCIceCandidate = 10739,
  RTCIdentityProviderRegistrar = 10755,
  RTCPeerConnection = 10784,
  RTCPeerConnectionIceEvent = 10802,
  RTCPeerConnectionStatic = 10828,
  RTCRtpReceiver = 10852,
  RTCRtpScriptTransform = 10867,
  RTCRtpScriptTransformer = 10889,
  RTCRtpSender = 10913,
  RTCRtpTransceiver = 10926,
  RTCSctpTransport = 10944,
  RTCSessionDescription = 10961,
  RTCStatsReport = 10983,
  RTCTrackEvent = 10998,
  RTCTransformEvent = 11012,
  RadioNodeList = 11030,
  Range = 11044,
  ReadableByteStreamController = 11050,
  ReadableStream = 11079,
  ReadableStream_AsyncIterator = 11094,
  ReadableStreamBYOBReader = 11123,
  ReadableStreamBYOBRequest = 11148,
  ReadableStreamDefaultController = 11174,
  ReadableStreamDefaultReader = 11206,
  Report = 11234,
  ReportBody = 11241,
  ReportingObserver = 11252,
  Request = 11270,
  ResizeObserver = 11278,
  ResizeObserverEntry = 11293,
  ResizeObserverSize = 11313,
  Response = 11332,
  SVGAElement = 11341,
  SVGAngle = 11353,
  SVGAnimateElement = 11362,
  SVGAnimateMotionElement = 11380,
  SVGAnimateTransformElement = 11404,
  SVGAnimatedAngle = 11431,
  SVGAnimatedBoolean = 11448,
  SVGAnimatedEnumeration = 11467,
  SVGAnimatedInteger = 11490,
  SVGAnimatedLength = 11509,
  SVGAnimatedLengthList = 11527,
  SVGAnimatedNumber = 11549,
  SVGAnimatedNumberList = 11567,
  SVGAnimatedPreserveAspectRatio = 11589,
  SVGAnimatedRect = 11620,
  SVGAnimatedString = 11636,
  SVGAnimatedTransformList = 11654,
  SVGAnimationElement = 11679,
  SVGCircleElement = 11699,
  SVGClipPathElement = 11716,
  SVGComponentTransferFunctionElement = 11735,
  SVGDefsElement = 11771,
  SVGDescElement = 11786,
  SVGElement = 11801,
  SVGEllipseElement = 11812,
  SVGFEBlendElement = 11830,
  SVGFEColorMatrixElement = 11848,
  SVGFEComponentTransferElement = 11872,
  SVGFECompositeElement = 11902,
  SVGFEConvolveMatrixElement = 11924,
  SVGFEDiffuseLightingElement = 11951,
  SVGFEDisplacementMapElement = 11979,
  SVGFEDistantLightElement = 12007,
  SVGFEDropShadowElement = 12032,
  SVGFEFloodElement = 12055,
  SVGFEFuncAElement = 12073,
  SVGFEFuncBElement = 12091,
  SVGFEFuncGElement = 12109,
  SVGFEFuncRElement = 12127,
  SVGFEGaussianBlurElement = 12145,
  SVGFEImageElement = 12170,
  SVGFEMergeElement = 12188,
  SVGFEMergeNodeElement = 12206,
  SVGFEMorphologyElement = 12228,
  SVGFEOffsetElement = 12251,
  SVGFEPointLightElement = 12270,
  SVGFESpecularLightingElement = 12293,
  SVGFESpotLightElement = 12322,
  SVGFETileElement = 12344,
  SVGFETurbulenceElement = 12361,
  SVGFilterElement = 12384,
  SVGForeignObjectElement = 12401,
  SVGGElement = 12425,
  SVGGeometryElement = 12437,
  SVGGradientElement = 12456,
  SVGGraphicsElement = 12475,
  SVGImageElement = 12494,
  SVGLength = 12510,
  SVGLengthList = 12520,
  SVGLineElement = 12534,
  SVGLinearGradientElement = 12549,
  SVGMPathElement = 12574,
  SVGMarkerElement = 12590,
  SVGMaskElement = 12607,
  SVGMatrix = 12622,
  SVGMetadataElement = 12632,
  SVGNumber = 12651,
  SVGNumberList = 12661,
  SVGPathElement = 12675,
  SVGPathSeg = 12690,
  SVGPathSegArcAbs = 12701,
  SVGPathSegArcRel = 12718,
  SVGPathSegClosePath = 12735,
  SVGPathSegCurvetoCubicAbs = 12755,
  SVGPathSegCurvetoCubicRel = 12781,
  SVGPathSegCurvetoCubicSmoothAbs = 12807,
  SVGPathSegCurvetoCubicSmoothRel = 12839,
  SVGPathSegCurvetoQuadraticAbs = 12871,
  SVGPathSegCurvetoQuadraticRel = 12901,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12931,
  SVGPathSegCurvetoQuadraticSmoothRel = 12967,
  SVGPathSegLinetoAbs = 13003,
  SVGPathSegLinetoHorizontalAbs = 13023,
  SVGPathSegLinetoHorizontalRel = 13053,
  SVGPathSegLinetoRel = 13083,
  SVGPathSegLinetoVerticalAbs = 13103,
  SVGPathSegLinetoVerticalRel = 13131,
  SVGPathSegList = 13159,
  SVGPathSegMovetoAbs = 13174,
  SVGPathSegMovetoRel = 13194,
  SVGPatternElement = 13214,
  SVGPoint = 13232,
  SVGPointList = 13241,
  SVGPolygonElement = 13254,
  SVGPolylineElement = 13272,
  SVGPreserveAspectRatio = 13291,
  SVGRadialGradientElement = 13314,
  SVGRect = 13339,
  SVGRectElement = 13347,
  SVGSVGElement = 13362,
  SVGScriptElement = 13376,
  SVGSetElement = 13393,
  SVGStopElement = 13407,
  SVGStringList = 13422,
  SVGStyleElement = 13436,
  SVGSwitchElement = 13452,
  SVGSymbolElement = 13469,
  SVGTSpanElement = 13486,
  SVGTextContentElement = 13502,
  SVGTextElement = 13524,
  SVGTextPathElement = 13539,
  SVGTextPositioningElement = 13558,
  SVGTitleElement = 13584,
  SVGTransform = 13600,
  SVGTransformList = 13613,
  SVGUnitTypes = 13630,
  SVGUseElement = 13643,
  SVGViewElement = 13657,
  Sanitizer = 13672,
  Scheduler = 13682,
  Screen = 13692,
  ScreenLuminance = 13699,
  ScreenOrientation = 13715,
  ScriptProcessorNode = 13733,
  ScrollAreaEvent = 13753,
  ScrollViewChangeEvent = 13769,
  SecurityPolicyViolationEvent = 13791,
  Selection = 13820,
  ServiceWorker = 13830,
  ServiceWorkerContainer = 13844,
  ServiceWorkerGlobalScope = 13867,
  ServiceWorkerRegistration = 13892,
  SessionStoreFormData = 13918,
  SessionStoreScrollData = 13939,
  SessionStoreUtils = 13962,
  ShadowRealmGlobalScope = 13980,
  ShadowRoot = 14003,
  SharedWorker = 14014,
  SharedWorkerGlobalScope = 14027,
  SimpleGestureEvent = 14051,
  SourceBuffer = 14070,
  SourceBufferList = 14083,
  SpeechGrammar = 14100,
  SpeechGrammarList = 14114,
  SpeechRecognition = 14132,
  SpeechRecognitionAlternative = 14150,
  SpeechRecognitionError = 14179,
  SpeechRecognitionEvent = 14202,
  SpeechRecognitionResult = 14225,
  SpeechRecognitionResultList = 14249,
  SpeechSynthesis = 14277,
  SpeechSynthesisErrorEvent = 14293,
  SpeechSynthesisEvent = 14319,
  SpeechSynthesisUtterance = 14340,
  SpeechSynthesisVoice = 14365,
  StaticRange = 14386,
  StereoPannerNode = 14398,
  Storage = 14415,
  StorageEvent = 14423,
  StorageManager = 14436,
  StreamFilter = 14451,
  StreamFilterDataEvent = 14464,
  StructuredCloneHolder = 14486,
  StructuredCloneTester = 14508,
  StyleSheet = 14530,
  StyleSheetApplicableStateChangeEvent = 14541,
  StyleSheetList = 14578,
  StyleSheetRemovedEvent = 14593,
  SubmitEvent = 14616,
  SubtleCrypto = 14628,
  SyncMessageSender = 14641,
  SyncReadFile = 14659,
  TCPServerSocket = 14672,
  TCPServerSocketEvent = 14688,
  TCPSocket = 14709,
  TCPSocketErrorEvent = 14719,
  TCPSocketEvent = 14739,
  TaskController = 14754,
  TaskPriorityChangeEvent = 14769,
  TaskSignal = 14793,
  TelemetryStopwatch = 14804,
  TestAttributesOnTypes = 14823,
  TestCEReactionsInterface = 14845,
  TestCImplementedInterface = 14870,
  TestCImplementedInterface2 = 14896,
  TestChildInterface = 14923,
  TestConstructorForFuncInterface = 14942,
  TestConstructorForPrefInterface = 14974,
  TestConstructorForSCInterface = 15006,
  TestCppKeywordNamedMethodsInterface = 15036,
  TestDeprecatedInterface = 15072,
  TestExampleInterface = 15096,
  TestExampleProxyInterface = 15117,
  TestExampleThrowingConstructorInterface = 15143,
  TestExampleWorkerInterface = 15183,
  TestFuncConstructorForDifferentFuncInterface = 15210,
  TestFuncConstructorForInterface = 15255,
  TestHTMLConstructorInterface = 15287,
  TestIndexedAndNamedGetterAndSetterInterface = 15316,
  TestIndexedAndNamedGetterInterface = 15360,
  TestIndexedAndNamedSetterInterface = 15395,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15430,
  TestIndexedGetterInterface = 15480,
  TestIndexedSetterInterface = 15507,
  TestInterface = 15534,
  TestInterfaceWithPromiseConstructorArg = 15548,
  TestJSImplInterface = 15587,
  TestJSImplInterface2 = 15607,
  TestJSImplInterface3 = 15628,
  TestJSImplInterface4 = 15649,
  TestJSImplInterface5 = 15670,
  TestJSImplInterface6 = 15691,
  TestJSImplNoInterfaceObject = 15712,
  TestNamedDeleterInterface = 15740,
  TestNamedDeleterWithRetvalInterface = 15766,
  TestNamedGetterInterface = 15802,
  TestNamedSetterInterface = 15827,
  TestNamespace = 15852,
  TestNonWrapperCacheInterface = 15866,
  TestParentInterface = 15895,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15915,
  TestPrefConstructorForDifferentPrefInterface = 15963,
  TestPrefConstructorForInterface = 16008,
  TestProtoObjectHackedNamespace = 16040,
  TestRenamedInterface = 16071,
  TestRenamedNamespace = 16092,
  TestSCConstructorForInterface = 16113,
  TestSecureContextInterface = 16143,
  TestThrowingConstructorInterface = 16170,
  TestUtils = 16203,
  TestWorkerExposedInterface = 16213,
  TestingDeprecatedInterface = 16240,
  Text = 16267,
  TextClause = 16272,
  TextDecoder = 16283,
  TextDecoderStream = 16295,
  TextEncoder = 16313,
  TextEncoderStream = 16325,
  TextMetrics = 16343,
  TextTrack = 16355,
  TextTrackCue = 16365,
  TextTrackCueList = 16378,
  TextTrackList = 16395,
  TimeEvent = 16409,
  TimeRanges = 16419,
  ToggleEvent = 16430,
  Touch = 16442,
  TouchEvent = 16448,
  TouchList = 16459,
  TrackEvent = 16469,
  TransformStream = 16480,
  TransformStreamDefaultController = 16496,
  TransitionEvent = 16529,
  TreeColumn = 16545,
  TreeColumns = 16556,
  TreeContentView = 16568,
  TreeWalker = 16584,
  UDPMessageEvent = 16595,
  UDPSocket = 16611,
  UIEvent = 16621,
  URL = 16629,
  URLSearchParams = 16633,
  URLSearchParams_Iterator = 16649,
  UniFFIPointer = 16674,
  UniFFIScaffolding = 16688,
  UserActivation = 16706,
  UserInteraction = 16721,
  UserProximityEvent = 16737,
  VRDisplay = 16756,
  VRDisplayCapabilities = 16766,
  VRDisplayEvent = 16788,
  VREyeParameters = 16803,
  VRFieldOfView = 16819,
  VRFrameData = 16833,
  VRMockController = 16845,
  VRMockDisplay = 16862,
  VRPose = 16876,
  VRServiceTest = 16883,
  VRStageParameters = 16897,
  VTTCue = 16915,
  VTTRegion = 16922,
  ValidityState = 16932,
  VideoColorSpace = 16946,
  VideoDecoder = 16962,
  VideoFrame = 16975,
  VideoPlaybackQuality = 16986,
  VideoTrack = 17007,
  VideoTrackList = 17018,
  VisualViewport = 17033,
  WEBGL_color_buffer_float = 17048,
  WEBGL_compressed_texture_astc = 17073,
  WEBGL_compressed_texture_etc = 17103,
  WEBGL_compressed_texture_etc1 = 17132,
  WEBGL_compressed_texture_pvrtc = 17162,
  WEBGL_compressed_texture_s3tc = 17193,
  WEBGL_compressed_texture_s3tc_srgb = 17223,
  WEBGL_debug_renderer_info = 17258,
  WEBGL_debug_shaders = 17284,
  WEBGL_depth_texture = 17304,
  WEBGL_draw_buffers = 17324,
  WEBGL_explicit_present = 17343,
  WEBGL_lose_context = 17366,
  WEBGL_provoking_vertex = 17385,
  WakeLock = 17408,
  WakeLockSentinel = 17417,
  WaveShaperNode = 17434,
  WebExtensionContentScript = 17449,
  WebExtensionPolicy = 17475,
  WebGL2RenderingContext = 17494,
  WebGLActiveInfo = 17517,
  WebGLBuffer = 17533,
  WebGLContextEvent = 17545,
  WebGLFramebuffer = 17563,
  WebGLProgram = 17580,
  WebGLQuery = 17593,
  WebGLRenderbuffer = 17604,
  WebGLRenderingContext = 17622,
  WebGLSampler = 17644,
  WebGLShader = 17657,
  WebGLShaderPrecisionFormat = 17669,
  WebGLSync = 17696,
  WebGLTexture = 17706,
  WebGLTransformFeedback = 17719,
  WebGLUniformLocation = 17742,
  WebGLVertexArrayObject = 17763,
  WebKitCSSMatrix = 17786,
  WebSocket = 17802,
  WebTransport = 17812,
  WebTransportBidirectionalStream = 17825,
  WebTransportDatagramDuplexStream = 17857,
  WebTransportError = 17890,
  WebTransportReceiveStream = 17908,
  WebTransportSendStream = 17934,
  WebrtcGlobalInformation = 17957,
  WheelEvent = 17981,
  Window = 17992,
  WindowClient = 17999,
  WindowContext = 18012,
  WindowGlobalChild = 18026,
  WindowGlobalParent = 18044,
  WindowRoot = 18063,
  Worker = 18074,
  WorkerDebuggerGlobalScope = 18081,
  WorkerGlobalScope = 18107,
  WorkerLocation = 18125,
  WorkerNavigator = 18140,
  WorkerTestUtils = 18156,
  Worklet = 18172,
  WorkletGlobalScope = 18180,
  WritableStream = 18199,
  WritableStreamDefaultController = 18214,
  WritableStreamDefaultWriter = 18246,
  XMLDocument = 18274,
  XMLHttpRequest = 18286,
  XMLHttpRequestEventTarget = 18301,
  XMLHttpRequestUpload = 18327,
  XMLSerializer = 18348,
  XPathEvaluator = 18362,
  XPathExpression = 18377,
  XPathResult = 18393,
  XRBoundedReferenceSpace = 18405,
  XRFrame = 18429,
  XRInputSource = 18437,
  XRInputSourceArray = 18451,
  XRInputSourceEvent = 18470,
  XRInputSourcesChangeEvent = 18489,
  XRPose = 18515,
  XRReferenceSpace = 18522,
  XRReferenceSpaceEvent = 18539,
  XRRenderState = 18561,
  XRRigidTransform = 18575,
  XRSession = 18592,
  XRSessionEvent = 18602,
  XRSpace = 18617,
  XRSystem = 18625,
  XRView = 18634,
  XRViewerPose = 18641,
  XRViewport = 18654,
  XRWebGLLayer = 18665,
  XSLTProcessor = 18678,
  XULCommandEvent = 18692,
  XULElement = 18708,
  XULFrameElement = 18719,
  XULMenuElement = 18735,
  XULPopupElement = 18750,
  XULResizerElement = 18766,
  XULTextElement = 18784,
  XULTreeElement = 18799,
  console = 18814,
  webkitSpeechGrammar = 18822,
  webkitSpeechGrammarList = 18842,
  webkitSpeechRecognition = 18866,
  webkitURL = 18890,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
