/* THIS FILE IS AUTOGENERATED FROM CSSStyleRule.webidl BY Codegen.py - DO NOT EDIT */

#ifndef DOM_CSSSTYLERULEBINDING_H_
#define DOM_CSSSTYLERULEBINDING_H_

#include "js/CallAndConstruct.h"
#include "js/RootingAPI.h"
#include "js/TypeDecls.h"
#include "mozilla/ArrayUtils.h"
#include "mozilla/Span.h"
#include "mozilla/dom/BindingDeclarations.h"
#include "mozilla/dom/Nullable.h"
#include "mozilla/dom/PrototypeList.h"

namespace mozilla {
namespace dom {

class CSSStyleRule;
struct NativePropertyHooks;
class ProtoAndIfaceCache;
struct SelectorWarningAtoms;

} // namespace dom
} // namespace mozilla

namespace mozilla::dom {

enum class SelectorWarningKind : uint8_t {
  UnconstrainedHas,
  EndGuard_
};

namespace SelectorWarningKindValues {
extern const EnumEntry strings[2];

static constexpr size_t Count = 1;

// Our "strings" contains an extra entry with a null string.
static_assert(mozilla::ArrayLength(strings) - 1 == Count,
              "Mismatch between enum strings and enum count");

static_assert(static_cast<size_t>(SelectorWarningKind::EndGuard_) == Count,
              "Mismatch between enum value and enum count");

inline auto GetString(SelectorWarningKind stringId) {
  MOZ_ASSERT(static_cast<uint8_t>(stringId) < Count);
  const EnumEntry& entry = strings[static_cast<uint8_t>(stringId)];
  return Span<const char>{entry.value, entry.length};
}
} // namespace SelectorWarningKindValues

bool
ToJSValue(JSContext* aCx, SelectorWarningKind aArgument, JS::MutableHandle<JS::Value> aValue);


struct SelectorWarning : public DictionaryBase
{
  MOZ_INIT_OUTSIDE_CTOR uint32_t mIndex;
  MOZ_INIT_OUTSIDE_CTOR SelectorWarningKind mKind;

  SelectorWarning();

  explicit inline SelectorWarning(const FastDictionaryInitializer& )
  {
    // Do nothing here; this is used by our "Fast" subclass
  }

  SelectorWarning(SelectorWarning&& aOther) = default;

  explicit inline SelectorWarning(const SelectorWarning& aOther)
  {
    *this = aOther;
  }

  bool
  Init(const char* sourceDescription = "Value", bool passedToJSImpl = false);

  bool
  ToObjectInternal(JSContext* cx, JS::MutableHandle<JS::Value> rval) const;

  void
  TraceDictionary(JSTracer* trc);

  SelectorWarning&
  operator=(const SelectorWarning& aOther);

private:
  static bool
  InitIds(JSContext* cx, SelectorWarningAtoms* atomsCache);
};

namespace binding_detail {
struct FastSelectorWarning : public SelectorWarning
{
  inline FastSelectorWarning()
    : SelectorWarning(FastDictionaryInitializer())
  {
    // Doesn't matter what int we pass to the parent constructor
  }
};
} // namespace binding_detail


namespace CSSStyleRule_Binding {

  typedef mozilla::dom::CSSStyleRule NativeType;

  bool
  Wrap(JSContext* aCx, mozilla::dom::CSSStyleRule* aObject, nsWrapperCache* aCache, JS::Handle<JSObject*> aGivenProto, JS::MutableHandle<JSObject*> aReflector);

  template <class T>
  inline JSObject* Wrap(JSContext* aCx, T* aObject, JS::Handle<JSObject*> aGivenProto)
  {
    JS::Rooted<JSObject*> reflector(aCx);
    return Wrap(aCx, aObject, aObject, aGivenProto, &reflector) ? reflector.get() : nullptr;
  }

  void
  CreateInterfaceObjects(JSContext* aCx, JS::Handle<JSObject*> aGlobal, ProtoAndIfaceCache& aProtoAndIfaceCache, bool aDefineOnGlobal);

  inline JS::Handle<JSObject*> GetProtoObjectHandle(JSContext* aCx)
  {
    /* Get the interface prototype object for this class.  This will create the
       object as needed. */
    return GetPerInterfaceObjectHandle(aCx, prototypes::id::CSSStyleRule,
                                       &CreateInterfaceObjects,
                                       /* aDefineOnGlobal = */ true);

  }

  inline JS::Handle<JSObject*> GetConstructorObjectHandle(JSContext* aCx, bool aDefineOnGlobal = true)
  {
    /* Get the interface object for this class.  This will create the object as
       needed. */

    return GetPerInterfaceObjectHandle(aCx, constructors::id::CSSStyleRule,
                                       &CreateInterfaceObjects,
                                       aDefineOnGlobal);
  }

  JSObject*
  GetConstructorObject(JSContext* aCx);

} // namespace CSSStyleRule_Binding



} // namespace mozilla::dom

#endif // DOM_CSSSTYLERULEBINDING_H_
