/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozannotation_client_ffi_generated_h
#define mozannotation_client_ffi_generated_h

/* Generated with cbindgen:0.26.0 */

/* DO NOT MODIFY THIS MANUALLY! This file was generated using cbindgen. See RunCbindgen.py */


#include <cstdarg>
#include <cstdint>
#include <cstdlib>
#include <ostream>
#include <new>
#include "nsStringFwd.h"

extern "C" {

/// Register an annotation containing an nsCString.
/// Returns false if the annotation is already present (and doesn't change it).
///
/// This function will be exposed to C++
bool mozannotation_register_nscstring(uint32_t id, const nsCString *address);

/// Register an annotation containing a null-terminated string.
/// Returns false if the annotation is already present (and doesn't change it).
///
/// This function will be exposed to C++
bool mozannotation_register_cstring(uint32_t id, const char *const *address);

/// Register an annotation pointing to a buffer holding a null-terminated string.
/// Returns false if the annotation is already present (and doesn't change it).
///
/// This function will be exposed to C++
bool mozannotation_register_char_buffer(uint32_t id, const char *address);

/// Register an annotation pointing to a variable of type usize.
/// Returns false if the annotation is already present (and doesn't change it).
///
/// This function will be exposed to C++
bool mozannotation_register_usize(uint32_t id, const uintptr_t *address);

/// Register an annotation pointing to a fixed size buffer.
/// Returns false if the annotation is already present (and doesn't change it).
///
/// This function will be exposed to C++
bool mozannotation_register_bytebuffer(uint32_t id, const void *address, uint32_t size);

/// Unregister a crash annotation. Returns false if the annotation is not present.
///
/// This function will be exposed to C++
bool mozannotation_unregister(uint32_t id);

} // extern "C"

#endif // mozannotation_client_ffi_generated_h
