#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "CustomStateSet" "\0"
  /*  2096 */ "DOMException" "\0"
  /*  2109 */ "DOMImplementation" "\0"
  /*  2127 */ "DOMLocalization" "\0"
  /*  2143 */ "DOMMatrix" "\0"
  /*  2153 */ "DOMMatrixReadOnly" "\0"
  /*  2171 */ "DOMParser" "\0"
  /*  2181 */ "DOMPoint" "\0"
  /*  2190 */ "DOMPointReadOnly" "\0"
  /*  2207 */ "DOMQuad" "\0"
  /*  2215 */ "DOMRect" "\0"
  /*  2223 */ "DOMRectList" "\0"
  /*  2235 */ "DOMRectReadOnly" "\0"
  /*  2251 */ "DOMRequest" "\0"
  /*  2262 */ "DOMStringList" "\0"
  /*  2276 */ "DOMStringMap" "\0"
  /*  2289 */ "DOMTokenList" "\0"
  /*  2302 */ "DataTransfer" "\0"
  /*  2315 */ "DataTransferItem" "\0"
  /*  2332 */ "DataTransferItemList" "\0"
  /*  2353 */ "DebuggerNotification" "\0"
  /*  2374 */ "DebuggerNotificationObserver" "\0"
  /*  2403 */ "DecompressionStream" "\0"
  /*  2423 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2450 */ "DelayNode" "\0"
  /*  2460 */ "DeprecationReportBody" "\0"
  /*  2482 */ "DeviceAcceleration" "\0"
  /*  2501 */ "DeviceLightEvent" "\0"
  /*  2518 */ "DeviceMotionEvent" "\0"
  /*  2536 */ "DeviceOrientationEvent" "\0"
  /*  2559 */ "DeviceRotationRate" "\0"
  /*  2578 */ "Directory" "\0"
  /*  2588 */ "Document" "\0"
  /*  2597 */ "DocumentFragment" "\0"
  /*  2614 */ "DocumentL10n" "\0"
  /*  2627 */ "DocumentTimeline" "\0"
  /*  2644 */ "DocumentType" "\0"
  /*  2657 */ "DominatorTree" "\0"
  /*  2671 */ "DragEvent" "\0"
  /*  2681 */ "DynamicsCompressorNode" "\0"
  /*  2704 */ "EXT_blend_minmax" "\0"
  /*  2721 */ "EXT_color_buffer_float" "\0"
  /*  2744 */ "EXT_color_buffer_half_float" "\0"
  /*  2772 */ "EXT_disjoint_timer_query" "\0"
  /*  2797 */ "EXT_float_blend" "\0"
  /*  2813 */ "EXT_frag_depth" "\0"
  /*  2828 */ "EXT_sRGB" "\0"
  /*  2837 */ "EXT_shader_texture_lod" "\0"
  /*  2860 */ "EXT_texture_compression_bptc" "\0"
  /*  2889 */ "EXT_texture_compression_rgtc" "\0"
  /*  2918 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2949 */ "EXT_texture_norm16" "\0"
  /*  2968 */ "Element" "\0"
  /*  2976 */ "ElementInternals" "\0"
  /*  2993 */ "EncodedVideoChunk" "\0"
  /*  3011 */ "ErrorEvent" "\0"
  /*  3022 */ "Event" "\0"
  /*  3028 */ "EventCallbackDebuggerNotification" "\0"
  /*  3062 */ "EventCounts" "\0"
  /*  3074 */ "EventSource" "\0"
  /*  3086 */ "EventTarget" "\0"
  /*  3098 */ "Exception" "\0"
  /*  3108 */ "ExtendableEvent" "\0"
  /*  3124 */ "ExtendableMessageEvent" "\0"
  /*  3147 */ "ExtensionAlarms" "\0"
  /*  3163 */ "ExtensionBrowser" "\0"
  /*  3180 */ "ExtensionBrowserSettings" "\0"
  /*  3205 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3245 */ "ExtensionDns" "\0"
  /*  3258 */ "ExtensionEventManager" "\0"
  /*  3280 */ "ExtensionMockAPI" "\0"
  /*  3297 */ "ExtensionPort" "\0"
  /*  3311 */ "ExtensionProxy" "\0"
  /*  3326 */ "ExtensionRuntime" "\0"
  /*  3343 */ "ExtensionScripting" "\0"
  /*  3362 */ "ExtensionSetting" "\0"
  /*  3379 */ "ExtensionTest" "\0"
  /*  3393 */ "External" "\0"
  /*  3402 */ "FeaturePolicy" "\0"
  /*  3416 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3449 */ "FetchEvent" "\0"
  /*  3460 */ "FetchObserver" "\0"
  /*  3474 */ "File" "\0"
  /*  3479 */ "FileList" "\0"
  /*  3488 */ "FileReader" "\0"
  /*  3499 */ "FileReaderSync" "\0"
  /*  3514 */ "FileSystem" "\0"
  /*  3525 */ "FileSystemDirectoryEntry" "\0"
  /*  3550 */ "FileSystemDirectoryHandle" "\0"
  /*  3576 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3616 */ "FileSystemDirectoryIterator" "\0"
  /*  3644 */ "FileSystemDirectoryReader" "\0"
  /*  3670 */ "FileSystemEntry" "\0"
  /*  3686 */ "FileSystemFileEntry" "\0"
  /*  3706 */ "FileSystemFileHandle" "\0"
  /*  3727 */ "FileSystemHandle" "\0"
  /*  3744 */ "FileSystemSyncAccessHandle" "\0"
  /*  3771 */ "FileSystemWritableFileStream" "\0"
  /*  3800 */ "Flex" "\0"
  /*  3805 */ "FlexItemValues" "\0"
  /*  3820 */ "FlexLineValues" "\0"
  /*  3835 */ "FluentBundle" "\0"
  /*  3848 */ "FluentBundleAsyncIterator" "\0"
  /*  3874 */ "FluentBundleIterator" "\0"
  /*  3895 */ "FluentPattern" "\0"
  /*  3909 */ "FluentResource" "\0"
  /*  3924 */ "FocusEvent" "\0"
  /*  3935 */ "FontFace" "\0"
  /*  3944 */ "FontFaceSet" "\0"
  /*  3956 */ "FontFaceSetIterator" "\0"
  /*  3976 */ "FontFaceSetLoadEvent" "\0"
  /*  3997 */ "FormData" "\0"
  /*  4006 */ "FormData Iterator" "\0"
  /*  4024 */ "FormDataEvent" "\0"
  /*  4038 */ "FrameCrashedEvent" "\0"
  /*  4056 */ "FrameLoader" "\0"
  /*  4068 */ "GPU" "\0"
  /*  4072 */ "GPUAdapter" "\0"
  /*  4083 */ "GPUAdapterInfo" "\0"
  /*  4098 */ "GPUBindGroup" "\0"
  /*  4111 */ "GPUBindGroupLayout" "\0"
  /*  4130 */ "GPUBuffer" "\0"
  /*  4140 */ "GPUBufferUsage" "\0"
  /*  4155 */ "GPUCanvasContext" "\0"
  /*  4172 */ "GPUColorWrite" "\0"
  /*  4186 */ "GPUCommandBuffer" "\0"
  /*  4203 */ "GPUCommandEncoder" "\0"
  /*  4221 */ "GPUCompilationInfo" "\0"
  /*  4240 */ "GPUCompilationMessage" "\0"
  /*  4262 */ "GPUComputePassEncoder" "\0"
  /*  4284 */ "GPUComputePipeline" "\0"
  /*  4303 */ "GPUDevice" "\0"
  /*  4313 */ "GPUDeviceLostInfo" "\0"
  /*  4331 */ "GPUError" "\0"
  /*  4340 */ "GPUInternalError" "\0"
  /*  4357 */ "GPUMapMode" "\0"
  /*  4368 */ "GPUOutOfMemoryError" "\0"
  /*  4388 */ "GPUPipelineLayout" "\0"
  /*  4406 */ "GPUQuerySet" "\0"
  /*  4418 */ "GPUQueue" "\0"
  /*  4427 */ "GPURenderBundle" "\0"
  /*  4443 */ "GPURenderBundleEncoder" "\0"
  /*  4466 */ "GPURenderPassEncoder" "\0"
  /*  4487 */ "GPURenderPipeline" "\0"
  /*  4505 */ "GPUSampler" "\0"
  /*  4516 */ "GPUShaderModule" "\0"
  /*  4532 */ "GPUShaderStage" "\0"
  /*  4547 */ "GPUSupportedFeatures" "\0"
  /*  4568 */ "GPUSupportedLimits" "\0"
  /*  4587 */ "GPUTexture" "\0"
  /*  4598 */ "GPUTextureUsage" "\0"
  /*  4614 */ "GPUTextureView" "\0"
  /*  4629 */ "GPUUncapturedErrorEvent" "\0"
  /*  4653 */ "GPUValidationError" "\0"
  /*  4672 */ "GainNode" "\0"
  /*  4681 */ "Gamepad" "\0"
  /*  4689 */ "GamepadAxisMoveEvent" "\0"
  /*  4710 */ "GamepadButton" "\0"
  /*  4724 */ "GamepadButtonEvent" "\0"
  /*  4743 */ "GamepadEvent" "\0"
  /*  4756 */ "GamepadHapticActuator" "\0"
  /*  4778 */ "GamepadLightIndicator" "\0"
  /*  4800 */ "GamepadPose" "\0"
  /*  4812 */ "GamepadServiceTest" "\0"
  /*  4831 */ "GamepadTouch" "\0"
  /*  4844 */ "Geolocation" "\0"
  /*  4856 */ "GeolocationCoordinates" "\0"
  /*  4879 */ "GeolocationPosition" "\0"
  /*  4899 */ "GeolocationPositionError" "\0"
  /*  4924 */ "GetUserMediaRequest" "\0"
  /*  4944 */ "GleanBoolean" "\0"
  /*  4957 */ "GleanCategory" "\0"
  /*  4971 */ "GleanCounter" "\0"
  /*  4984 */ "GleanCustomDistribution" "\0"
  /*  5008 */ "GleanDatetime" "\0"
  /*  5022 */ "GleanDenominator" "\0"
  /*  5039 */ "GleanEvent" "\0"
  /*  5050 */ "GleanImpl" "\0"
  /*  5060 */ "GleanLabeled" "\0"
  /*  5073 */ "GleanMemoryDistribution" "\0"
  /*  5097 */ "GleanMetric" "\0"
  /*  5109 */ "GleanNumerator" "\0"
  /*  5124 */ "GleanPingsImpl" "\0"
  /*  5139 */ "GleanQuantity" "\0"
  /*  5153 */ "GleanRate" "\0"
  /*  5163 */ "GleanString" "\0"
  /*  5175 */ "GleanStringList" "\0"
  /*  5191 */ "GleanText" "\0"
  /*  5201 */ "GleanTimespan" "\0"
  /*  5215 */ "GleanTimingDistribution" "\0"
  /*  5239 */ "GleanUrl" "\0"
  /*  5248 */ "GleanUuid" "\0"
  /*  5258 */ "Grid" "\0"
  /*  5263 */ "GridArea" "\0"
  /*  5272 */ "GridDimension" "\0"
  /*  5286 */ "GridLine" "\0"
  /*  5295 */ "GridLines" "\0"
  /*  5305 */ "GridTrack" "\0"
  /*  5315 */ "GridTracks" "\0"
  /*  5326 */ "HTMLAllCollection" "\0"
  /*  5344 */ "HTMLAnchorElement" "\0"
  /*  5362 */ "HTMLAreaElement" "\0"
  /*  5378 */ "HTMLAudioElement" "\0"
  /*  5395 */ "HTMLBRElement" "\0"
  /*  5409 */ "HTMLBaseElement" "\0"
  /*  5425 */ "HTMLBodyElement" "\0"
  /*  5441 */ "HTMLButtonElement" "\0"
  /*  5459 */ "HTMLCanvasElement" "\0"
  /*  5477 */ "HTMLCollection" "\0"
  /*  5492 */ "HTMLDListElement" "\0"
  /*  5509 */ "HTMLDataElement" "\0"
  /*  5525 */ "HTMLDataListElement" "\0"
  /*  5545 */ "HTMLDetailsElement" "\0"
  /*  5564 */ "HTMLDialogElement" "\0"
  /*  5582 */ "HTMLDirectoryElement" "\0"
  /*  5603 */ "HTMLDivElement" "\0"
  /*  5618 */ "HTMLDocument" "\0"
  /*  5631 */ "HTMLElement" "\0"
  /*  5643 */ "HTMLEmbedElement" "\0"
  /*  5660 */ "HTMLFieldSetElement" "\0"
  /*  5680 */ "HTMLFontElement" "\0"
  /*  5696 */ "HTMLFormControlsCollection" "\0"
  /*  5723 */ "HTMLFormElement" "\0"
  /*  5739 */ "HTMLFrameElement" "\0"
  /*  5756 */ "HTMLFrameSetElement" "\0"
  /*  5776 */ "HTMLHRElement" "\0"
  /*  5790 */ "HTMLHeadElement" "\0"
  /*  5806 */ "HTMLHeadingElement" "\0"
  /*  5825 */ "HTMLHtmlElement" "\0"
  /*  5841 */ "HTMLIFrameElement" "\0"
  /*  5859 */ "HTMLImageElement" "\0"
  /*  5876 */ "HTMLInputElement" "\0"
  /*  5893 */ "HTMLLIElement" "\0"
  /*  5907 */ "HTMLLabelElement" "\0"
  /*  5924 */ "HTMLLegendElement" "\0"
  /*  5942 */ "HTMLLinkElement" "\0"
  /*  5958 */ "HTMLMapElement" "\0"
  /*  5973 */ "HTMLMarqueeElement" "\0"
  /*  5992 */ "HTMLMediaElement" "\0"
  /*  6009 */ "HTMLMenuElement" "\0"
  /*  6025 */ "HTMLMetaElement" "\0"
  /*  6041 */ "HTMLMeterElement" "\0"
  /*  6058 */ "HTMLModElement" "\0"
  /*  6073 */ "HTMLOListElement" "\0"
  /*  6090 */ "HTMLObjectElement" "\0"
  /*  6108 */ "HTMLOptGroupElement" "\0"
  /*  6128 */ "HTMLOptionElement" "\0"
  /*  6146 */ "HTMLOptionsCollection" "\0"
  /*  6168 */ "HTMLOutputElement" "\0"
  /*  6186 */ "HTMLParagraphElement" "\0"
  /*  6207 */ "HTMLParamElement" "\0"
  /*  6224 */ "HTMLPictureElement" "\0"
  /*  6243 */ "HTMLPreElement" "\0"
  /*  6258 */ "HTMLProgressElement" "\0"
  /*  6278 */ "HTMLQuoteElement" "\0"
  /*  6295 */ "HTMLScriptElement" "\0"
  /*  6313 */ "HTMLSelectElement" "\0"
  /*  6331 */ "HTMLSlotElement" "\0"
  /*  6347 */ "HTMLSourceElement" "\0"
  /*  6365 */ "HTMLSpanElement" "\0"
  /*  6381 */ "HTMLStyleElement" "\0"
  /*  6398 */ "HTMLTableCaptionElement" "\0"
  /*  6422 */ "HTMLTableCellElement" "\0"
  /*  6443 */ "HTMLTableColElement" "\0"
  /*  6463 */ "HTMLTableElement" "\0"
  /*  6480 */ "HTMLTableRowElement" "\0"
  /*  6500 */ "HTMLTableSectionElement" "\0"
  /*  6524 */ "HTMLTemplateElement" "\0"
  /*  6544 */ "HTMLTextAreaElement" "\0"
  /*  6564 */ "HTMLTimeElement" "\0"
  /*  6580 */ "HTMLTitleElement" "\0"
  /*  6597 */ "HTMLTrackElement" "\0"
  /*  6614 */ "HTMLUListElement" "\0"
  /*  6631 */ "HTMLUnknownElement" "\0"
  /*  6650 */ "HTMLVideoElement" "\0"
  /*  6667 */ "HashChangeEvent" "\0"
  /*  6683 */ "Headers" "\0"
  /*  6691 */ "Headers Iterator" "\0"
  /*  6708 */ "HeapSnapshot" "\0"
  /*  6721 */ "Highlight" "\0"
  /*  6731 */ "HighlightRegistry" "\0"
  /*  6749 */ "History" "\0"
  /*  6757 */ "IDBCursor" "\0"
  /*  6767 */ "IDBCursorWithValue" "\0"
  /*  6786 */ "IDBDatabase" "\0"
  /*  6798 */ "IDBFactory" "\0"
  /*  6809 */ "IDBIndex" "\0"
  /*  6818 */ "IDBKeyRange" "\0"
  /*  6830 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6853 */ "IDBObjectStore" "\0"
  /*  6868 */ "IDBOpenDBRequest" "\0"
  /*  6885 */ "IDBRequest" "\0"
  /*  6896 */ "IDBTransaction" "\0"
  /*  6911 */ "IDBVersionChangeEvent" "\0"
  /*  6933 */ "IIRFilterNode" "\0"
  /*  6947 */ "IOUtils" "\0"
  /*  6955 */ "IdentityCredential" "\0"
  /*  6974 */ "IdleDeadline" "\0"
  /*  6987 */ "Image" "\0"
  /*  6993 */ "ImageBitmap" "\0"
  /*  7005 */ "ImageBitmapRenderingContext" "\0"
  /*  7033 */ "ImageCapture" "\0"
  /*  7046 */ "ImageCaptureError" "\0"
  /*  7064 */ "ImageCaptureErrorEvent" "\0"
  /*  7087 */ "ImageData" "\0"
  /*  7097 */ "ImageDocument" "\0"
  /*  7111 */ "InputEvent" "\0"
  /*  7122 */ "InspectorFontFace" "\0"
  /*  7140 */ "InspectorUtils" "\0"
  /*  7155 */ "InstallTriggerImpl" "\0"
  /*  7174 */ "IntersectionObserver" "\0"
  /*  7195 */ "IntersectionObserverEntry" "\0"
  /*  7221 */ "IntlUtils" "\0"
  /*  7231 */ "InvokeEvent" "\0"
  /*  7243 */ "JSProcessActorChild" "\0"
  /*  7263 */ "JSProcessActorParent" "\0"
  /*  7284 */ "JSWindowActorChild" "\0"
  /*  7303 */ "JSWindowActorParent" "\0"
  /*  7323 */ "KeyEvent" "\0"
  /*  7332 */ "KeyboardEvent" "\0"
  /*  7346 */ "KeyframeEffect" "\0"
  /*  7361 */ "L10nFileSource" "\0"
  /*  7376 */ "L10nOverlays" "\0"
  /*  7389 */ "L10nRegistry" "\0"
  /*  7402 */ "LargestContentfulPaint" "\0"
  /*  7425 */ "LegacyMozTCPSocket" "\0"
  /*  7444 */ "Localization" "\0"
  /*  7457 */ "Location" "\0"
  /*  7466 */ "Lock" "\0"
  /*  7471 */ "LockManager" "\0"
  /*  7483 */ "MIDIAccess" "\0"
  /*  7494 */ "MIDIConnectionEvent" "\0"
  /*  7514 */ "MIDIInput" "\0"
  /*  7524 */ "MIDIInputMap" "\0"
  /*  7537 */ "MIDIMessageEvent" "\0"
  /*  7554 */ "MIDIOutput" "\0"
  /*  7565 */ "MIDIOutputMap" "\0"
  /*  7579 */ "MIDIPort" "\0"
  /*  7588 */ "MOZ_debug" "\0"
  /*  7598 */ "MatchGlob" "\0"
  /*  7608 */ "MatchPattern" "\0"
  /*  7621 */ "MatchPatternSet" "\0"
  /*  7637 */ "MathMLElement" "\0"
  /*  7651 */ "MediaCapabilities" "\0"
  /*  7669 */ "MediaCapabilitiesInfo" "\0"
  /*  7691 */ "MediaControlService" "\0"
  /*  7711 */ "MediaController" "\0"
  /*  7727 */ "MediaDeviceInfo" "\0"
  /*  7743 */ "MediaDevices" "\0"
  /*  7756 */ "MediaElementAudioSourceNode" "\0"
  /*  7784 */ "MediaEncryptedEvent" "\0"
  /*  7804 */ "MediaError" "\0"
  /*  7815 */ "MediaKeyError" "\0"
  /*  7829 */ "MediaKeyMessageEvent" "\0"
  /*  7850 */ "MediaKeySession" "\0"
  /*  7866 */ "MediaKeyStatusMap" "\0"
  /*  7884 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7911 */ "MediaKeySystemAccess" "\0"
  /*  7932 */ "MediaKeys" "\0"
  /*  7942 */ "MediaList" "\0"
  /*  7952 */ "MediaMetadata" "\0"
  /*  7966 */ "MediaQueryList" "\0"
  /*  7981 */ "MediaQueryListEvent" "\0"
  /*  8001 */ "MediaRecorder" "\0"
  /*  8015 */ "MediaRecorderErrorEvent" "\0"
  /*  8039 */ "MediaSession" "\0"
  /*  8052 */ "MediaSource" "\0"
  /*  8064 */ "MediaStream" "\0"
  /*  8076 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8108 */ "MediaStreamAudioSourceNode" "\0"
  /*  8135 */ "MediaStreamError" "\0"
  /*  8152 */ "MediaStreamEvent" "\0"
  /*  8169 */ "MediaStreamTrack" "\0"
  /*  8186 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8218 */ "MediaStreamTrackEvent" "\0"
  /*  8240 */ "MerchantValidationEvent" "\0"
  /*  8264 */ "MessageBroadcaster" "\0"
  /*  8283 */ "MessageChannel" "\0"
  /*  8298 */ "MessageEvent" "\0"
  /*  8311 */ "MessageListenerManager" "\0"
  /*  8334 */ "MessagePort" "\0"
  /*  8346 */ "MessageSender" "\0"
  /*  8360 */ "MimeType" "\0"
  /*  8369 */ "MimeTypeArray" "\0"
  /*  8383 */ "MouseEvent" "\0"
  /*  8394 */ "MouseScrollEvent" "\0"
  /*  8411 */ "MozCanvasPrintState" "\0"
  /*  8431 */ "MozDocumentMatcher" "\0"
  /*  8450 */ "MozDocumentObserver" "\0"
  /*  8470 */ "MozQueryInterface" "\0"
  /*  8488 */ "MozSharedMap" "\0"
  /*  8501 */ "MozSharedMap Iterator" "\0"
  /*  8523 */ "MozSharedMapChangeEvent" "\0"
  /*  8547 */ "MozStorageAsyncStatementParams" "\0"
  /*  8578 */ "MozStorageStatementParams" "\0"
  /*  8604 */ "MozStorageStatementRow" "\0"
  /*  8627 */ "MozWritableSharedMap" "\0"
  /*  8648 */ "MutationEvent" "\0"
  /*  8662 */ "MutationObserver" "\0"
  /*  8679 */ "MutationRecord" "\0"
  /*  8694 */ "NamedNodeMap" "\0"
  /*  8707 */ "NavigationPreloadManager" "\0"
  /*  8732 */ "Navigator" "\0"
  /*  8742 */ "NetworkInformation" "\0"
  /*  8761 */ "Node" "\0"
  /*  8766 */ "NodeFilter" "\0"
  /*  8777 */ "NodeIterator" "\0"
  /*  8790 */ "NodeList" "\0"
  /*  8799 */ "Notification" "\0"
  /*  8812 */ "NotificationEvent" "\0"
  /*  8830 */ "NotifyPaintEvent" "\0"
  /*  8847 */ "OES_draw_buffers_indexed" "\0"
  /*  8872 */ "OES_element_index_uint" "\0"
  /*  8895 */ "OES_fbo_render_mipmap" "\0"
  /*  8917 */ "OES_standard_derivatives" "\0"
  /*  8942 */ "OES_texture_float" "\0"
  /*  8960 */ "OES_texture_float_linear" "\0"
  /*  8985 */ "OES_texture_half_float" "\0"
  /*  9008 */ "OES_texture_half_float_linear" "\0"
  /*  9038 */ "OES_vertex_array_object" "\0"
  /*  9062 */ "OVR_multiview2" "\0"
  /*  9077 */ "OfflineAudioCompletionEvent" "\0"
  /*  9105 */ "OfflineAudioContext" "\0"
  /*  9125 */ "OffscreenCanvas" "\0"
  /*  9141 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9175 */ "OnlyForUseInConstructor" "\0"
  /*  9199 */ "Option" "\0"
  /*  9206 */ "OscillatorNode" "\0"
  /*  9221 */ "PageTransitionEvent" "\0"
  /*  9241 */ "PaintRequest" "\0"
  /*  9254 */ "PaintRequestList" "\0"
  /*  9271 */ "PaintWorkletGlobalScope" "\0"
  /*  9295 */ "PannerNode" "\0"
  /*  9306 */ "ParentProcessMessageManager" "\0"
  /*  9334 */ "Path2D" "\0"
  /*  9341 */ "PathUtils" "\0"
  /*  9351 */ "PaymentAddress" "\0"
  /*  9366 */ "PaymentMethodChangeEvent" "\0"
  /*  9391 */ "PaymentRequest" "\0"
  /*  9406 */ "PaymentRequestUpdateEvent" "\0"
  /*  9432 */ "PaymentResponse" "\0"
  /*  9448 */ "PeerConnectionImpl" "\0"
  /*  9467 */ "PeerConnectionObserver" "\0"
  /*  9490 */ "Performance" "\0"
  /*  9502 */ "PerformanceEntry" "\0"
  /*  9519 */ "PerformanceEntryEvent" "\0"
  /*  9541 */ "PerformanceEventTiming" "\0"
  /*  9564 */ "PerformanceMark" "\0"
  /*  9580 */ "PerformanceMeasure" "\0"
  /*  9599 */ "PerformanceNavigation" "\0"
  /*  9621 */ "PerformanceNavigationTiming" "\0"
  /*  9649 */ "PerformanceObserver" "\0"
  /*  9669 */ "PerformanceObserverEntryList" "\0"
  /*  9698 */ "PerformancePaintTiming" "\0"
  /*  9721 */ "PerformanceResourceTiming" "\0"
  /*  9747 */ "PerformanceServerTiming" "\0"
  /*  9771 */ "PerformanceTiming" "\0"
  /*  9789 */ "PeriodicWave" "\0"
  /*  9802 */ "PermissionStatus" "\0"
  /*  9819 */ "Permissions" "\0"
  /*  9831 */ "PlacesBookmark" "\0"
  /*  9846 */ "PlacesBookmarkAddition" "\0"
  /*  9869 */ "PlacesBookmarkChanged" "\0"
  /*  9891 */ "PlacesBookmarkGuid" "\0"
  /*  9910 */ "PlacesBookmarkKeyword" "\0"
  /*  9932 */ "PlacesBookmarkMoved" "\0"
  /*  9952 */ "PlacesBookmarkRemoved" "\0"
  /*  9974 */ "PlacesBookmarkTags" "\0"
  /*  9993 */ "PlacesBookmarkTime" "\0"
  /* 10012 */ "PlacesBookmarkTitle" "\0"
  /* 10032 */ "PlacesBookmarkUrl" "\0"
  /* 10050 */ "PlacesEvent" "\0"
  /* 10062 */ "PlacesFavicon" "\0"
  /* 10076 */ "PlacesHistoryCleared" "\0"
  /* 10097 */ "PlacesObservers" "\0"
  /* 10113 */ "PlacesPurgeCaches" "\0"
  /* 10131 */ "PlacesRanking" "\0"
  /* 10145 */ "PlacesVisit" "\0"
  /* 10157 */ "PlacesVisitRemoved" "\0"
  /* 10176 */ "PlacesVisitTitle" "\0"
  /* 10193 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10219 */ "Plugin" "\0"
  /* 10226 */ "PluginArray" "\0"
  /* 10238 */ "PluginCrashedEvent" "\0"
  /* 10257 */ "PointerEvent" "\0"
  /* 10270 */ "PopStateEvent" "\0"
  /* 10284 */ "PopupBlockedEvent" "\0"
  /* 10302 */ "PopupPositionedEvent" "\0"
  /* 10323 */ "PositionStateEvent" "\0"
  /* 10342 */ "PrecompiledScript" "\0"
  /* 10360 */ "ProcessMessageManager" "\0"
  /* 10382 */ "ProcessingInstruction" "\0"
  /* 10404 */ "ProgressEvent" "\0"
  /* 10418 */ "PromiseDebugging" "\0"
  /* 10435 */ "PromiseNativeHandler" "\0"
  /* 10456 */ "PromiseRejectionEvent" "\0"
  /* 10478 */ "PublicKeyCredential" "\0"
  /* 10498 */ "PushEvent" "\0"
  /* 10508 */ "PushManager" "\0"
  /* 10520 */ "PushManagerImpl" "\0"
  /* 10536 */ "PushMessageData" "\0"
  /* 10552 */ "PushSubscription" "\0"
  /* 10569 */ "PushSubscriptionOptions" "\0"
  /* 10593 */ "RTCCertificate" "\0"
  /* 10608 */ "RTCDTMFSender" "\0"
  /* 10622 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10645 */ "RTCDataChannel" "\0"
  /* 10660 */ "RTCDataChannelEvent" "\0"
  /* 10680 */ "RTCDtlsTransport" "\0"
  /* 10697 */ "RTCEncodedAudioFrame" "\0"
  /* 10718 */ "RTCEncodedVideoFrame" "\0"
  /* 10739 */ "RTCIceCandidate" "\0"
  /* 10755 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10784 */ "RTCPeerConnection" "\0"
  /* 10802 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10828 */ "RTCPeerConnectionStatic" "\0"
  /* 10852 */ "RTCRtpReceiver" "\0"
  /* 10867 */ "RTCRtpScriptTransform" "\0"
  /* 10889 */ "RTCRtpScriptTransformer" "\0"
  /* 10913 */ "RTCRtpSender" "\0"
  /* 10926 */ "RTCRtpTransceiver" "\0"
  /* 10944 */ "RTCSctpTransport" "\0"
  /* 10961 */ "RTCSessionDescription" "\0"
  /* 10983 */ "RTCStatsReport" "\0"
  /* 10998 */ "RTCTrackEvent" "\0"
  /* 11012 */ "RTCTransformEvent" "\0"
  /* 11030 */ "RadioNodeList" "\0"
  /* 11044 */ "Range" "\0"
  /* 11050 */ "ReadableByteStreamController" "\0"
  /* 11079 */ "ReadableStream" "\0"
  /* 11094 */ "ReadableStream AsyncIterator" "\0"
  /* 11123 */ "ReadableStreamBYOBReader" "\0"
  /* 11148 */ "ReadableStreamBYOBRequest" "\0"
  /* 11174 */ "ReadableStreamDefaultController" "\0"
  /* 11206 */ "ReadableStreamDefaultReader" "\0"
  /* 11234 */ "Report" "\0"
  /* 11241 */ "ReportBody" "\0"
  /* 11252 */ "ReportingObserver" "\0"
  /* 11270 */ "Request" "\0"
  /* 11278 */ "ResizeObserver" "\0"
  /* 11293 */ "ResizeObserverEntry" "\0"
  /* 11313 */ "ResizeObserverSize" "\0"
  /* 11332 */ "Response" "\0"
  /* 11341 */ "SVGAElement" "\0"
  /* 11353 */ "SVGAngle" "\0"
  /* 11362 */ "SVGAnimateElement" "\0"
  /* 11380 */ "SVGAnimateMotionElement" "\0"
  /* 11404 */ "SVGAnimateTransformElement" "\0"
  /* 11431 */ "SVGAnimatedAngle" "\0"
  /* 11448 */ "SVGAnimatedBoolean" "\0"
  /* 11467 */ "SVGAnimatedEnumeration" "\0"
  /* 11490 */ "SVGAnimatedInteger" "\0"
  /* 11509 */ "SVGAnimatedLength" "\0"
  /* 11527 */ "SVGAnimatedLengthList" "\0"
  /* 11549 */ "SVGAnimatedNumber" "\0"
  /* 11567 */ "SVGAnimatedNumberList" "\0"
  /* 11589 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11620 */ "SVGAnimatedRect" "\0"
  /* 11636 */ "SVGAnimatedString" "\0"
  /* 11654 */ "SVGAnimatedTransformList" "\0"
  /* 11679 */ "SVGAnimationElement" "\0"
  /* 11699 */ "SVGCircleElement" "\0"
  /* 11716 */ "SVGClipPathElement" "\0"
  /* 11735 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11771 */ "SVGDefsElement" "\0"
  /* 11786 */ "SVGDescElement" "\0"
  /* 11801 */ "SVGElement" "\0"
  /* 11812 */ "SVGEllipseElement" "\0"
  /* 11830 */ "SVGFEBlendElement" "\0"
  /* 11848 */ "SVGFEColorMatrixElement" "\0"
  /* 11872 */ "SVGFEComponentTransferElement" "\0"
  /* 11902 */ "SVGFECompositeElement" "\0"
  /* 11924 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11951 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11979 */ "SVGFEDisplacementMapElement" "\0"
  /* 12007 */ "SVGFEDistantLightElement" "\0"
  /* 12032 */ "SVGFEDropShadowElement" "\0"
  /* 12055 */ "SVGFEFloodElement" "\0"
  /* 12073 */ "SVGFEFuncAElement" "\0"
  /* 12091 */ "SVGFEFuncBElement" "\0"
  /* 12109 */ "SVGFEFuncGElement" "\0"
  /* 12127 */ "SVGFEFuncRElement" "\0"
  /* 12145 */ "SVGFEGaussianBlurElement" "\0"
  /* 12170 */ "SVGFEImageElement" "\0"
  /* 12188 */ "SVGFEMergeElement" "\0"
  /* 12206 */ "SVGFEMergeNodeElement" "\0"
  /* 12228 */ "SVGFEMorphologyElement" "\0"
  /* 12251 */ "SVGFEOffsetElement" "\0"
  /* 12270 */ "SVGFEPointLightElement" "\0"
  /* 12293 */ "SVGFESpecularLightingElement" "\0"
  /* 12322 */ "SVGFESpotLightElement" "\0"
  /* 12344 */ "SVGFETileElement" "\0"
  /* 12361 */ "SVGFETurbulenceElement" "\0"
  /* 12384 */ "SVGFilterElement" "\0"
  /* 12401 */ "SVGForeignObjectElement" "\0"
  /* 12425 */ "SVGGElement" "\0"
  /* 12437 */ "SVGGeometryElement" "\0"
  /* 12456 */ "SVGGradientElement" "\0"
  /* 12475 */ "SVGGraphicsElement" "\0"
  /* 12494 */ "SVGImageElement" "\0"
  /* 12510 */ "SVGLength" "\0"
  /* 12520 */ "SVGLengthList" "\0"
  /* 12534 */ "SVGLineElement" "\0"
  /* 12549 */ "SVGLinearGradientElement" "\0"
  /* 12574 */ "SVGMPathElement" "\0"
  /* 12590 */ "SVGMarkerElement" "\0"
  /* 12607 */ "SVGMaskElement" "\0"
  /* 12622 */ "SVGMatrix" "\0"
  /* 12632 */ "SVGMetadataElement" "\0"
  /* 12651 */ "SVGNumber" "\0"
  /* 12661 */ "SVGNumberList" "\0"
  /* 12675 */ "SVGPathElement" "\0"
  /* 12690 */ "SVGPathSeg" "\0"
  /* 12701 */ "SVGPathSegArcAbs" "\0"
  /* 12718 */ "SVGPathSegArcRel" "\0"
  /* 12735 */ "SVGPathSegClosePath" "\0"
  /* 12755 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12781 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12807 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12839 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12871 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12901 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12931 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12967 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13003 */ "SVGPathSegLinetoAbs" "\0"
  /* 13023 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13053 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13083 */ "SVGPathSegLinetoRel" "\0"
  /* 13103 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13131 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13159 */ "SVGPathSegList" "\0"
  /* 13174 */ "SVGPathSegMovetoAbs" "\0"
  /* 13194 */ "SVGPathSegMovetoRel" "\0"
  /* 13214 */ "SVGPatternElement" "\0"
  /* 13232 */ "SVGPoint" "\0"
  /* 13241 */ "SVGPointList" "\0"
  /* 13254 */ "SVGPolygonElement" "\0"
  /* 13272 */ "SVGPolylineElement" "\0"
  /* 13291 */ "SVGPreserveAspectRatio" "\0"
  /* 13314 */ "SVGRadialGradientElement" "\0"
  /* 13339 */ "SVGRect" "\0"
  /* 13347 */ "SVGRectElement" "\0"
  /* 13362 */ "SVGSVGElement" "\0"
  /* 13376 */ "SVGScriptElement" "\0"
  /* 13393 */ "SVGSetElement" "\0"
  /* 13407 */ "SVGStopElement" "\0"
  /* 13422 */ "SVGStringList" "\0"
  /* 13436 */ "SVGStyleElement" "\0"
  /* 13452 */ "SVGSwitchElement" "\0"
  /* 13469 */ "SVGSymbolElement" "\0"
  /* 13486 */ "SVGTSpanElement" "\0"
  /* 13502 */ "SVGTextContentElement" "\0"
  /* 13524 */ "SVGTextElement" "\0"
  /* 13539 */ "SVGTextPathElement" "\0"
  /* 13558 */ "SVGTextPositioningElement" "\0"
  /* 13584 */ "SVGTitleElement" "\0"
  /* 13600 */ "SVGTransform" "\0"
  /* 13613 */ "SVGTransformList" "\0"
  /* 13630 */ "SVGUnitTypes" "\0"
  /* 13643 */ "SVGUseElement" "\0"
  /* 13657 */ "SVGViewElement" "\0"
  /* 13672 */ "Sanitizer" "\0"
  /* 13682 */ "Scheduler" "\0"
  /* 13692 */ "Screen" "\0"
  /* 13699 */ "ScreenLuminance" "\0"
  /* 13715 */ "ScreenOrientation" "\0"
  /* 13733 */ "ScriptProcessorNode" "\0"
  /* 13753 */ "ScrollAreaEvent" "\0"
  /* 13769 */ "ScrollViewChangeEvent" "\0"
  /* 13791 */ "SecurityPolicyViolationEvent" "\0"
  /* 13820 */ "Selection" "\0"
  /* 13830 */ "ServiceWorker" "\0"
  /* 13844 */ "ServiceWorkerContainer" "\0"
  /* 13867 */ "ServiceWorkerGlobalScope" "\0"
  /* 13892 */ "ServiceWorkerRegistration" "\0"
  /* 13918 */ "SessionStoreFormData" "\0"
  /* 13939 */ "SessionStoreScrollData" "\0"
  /* 13962 */ "SessionStoreUtils" "\0"
  /* 13980 */ "ShadowRealmGlobalScope" "\0"
  /* 14003 */ "ShadowRoot" "\0"
  /* 14014 */ "SharedWorker" "\0"
  /* 14027 */ "SharedWorkerGlobalScope" "\0"
  /* 14051 */ "SimpleGestureEvent" "\0"
  /* 14070 */ "SourceBuffer" "\0"
  /* 14083 */ "SourceBufferList" "\0"
  /* 14100 */ "SpeechGrammar" "\0"
  /* 14114 */ "SpeechGrammarList" "\0"
  /* 14132 */ "SpeechRecognition" "\0"
  /* 14150 */ "SpeechRecognitionAlternative" "\0"
  /* 14179 */ "SpeechRecognitionError" "\0"
  /* 14202 */ "SpeechRecognitionEvent" "\0"
  /* 14225 */ "SpeechRecognitionResult" "\0"
  /* 14249 */ "SpeechRecognitionResultList" "\0"
  /* 14277 */ "SpeechSynthesis" "\0"
  /* 14293 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14319 */ "SpeechSynthesisEvent" "\0"
  /* 14340 */ "SpeechSynthesisUtterance" "\0"
  /* 14365 */ "SpeechSynthesisVoice" "\0"
  /* 14386 */ "StaticRange" "\0"
  /* 14398 */ "StereoPannerNode" "\0"
  /* 14415 */ "Storage" "\0"
  /* 14423 */ "StorageEvent" "\0"
  /* 14436 */ "StorageManager" "\0"
  /* 14451 */ "StreamFilter" "\0"
  /* 14464 */ "StreamFilterDataEvent" "\0"
  /* 14486 */ "StructuredCloneHolder" "\0"
  /* 14508 */ "StructuredCloneTester" "\0"
  /* 14530 */ "StyleSheet" "\0"
  /* 14541 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14578 */ "StyleSheetList" "\0"
  /* 14593 */ "StyleSheetRemovedEvent" "\0"
  /* 14616 */ "SubmitEvent" "\0"
  /* 14628 */ "SubtleCrypto" "\0"
  /* 14641 */ "SyncMessageSender" "\0"
  /* 14659 */ "SyncReadFile" "\0"
  /* 14672 */ "TCPServerSocket" "\0"
  /* 14688 */ "TCPServerSocketEvent" "\0"
  /* 14709 */ "TCPSocket" "\0"
  /* 14719 */ "TCPSocketErrorEvent" "\0"
  /* 14739 */ "TCPSocketEvent" "\0"
  /* 14754 */ "TaskController" "\0"
  /* 14769 */ "TaskPriorityChangeEvent" "\0"
  /* 14793 */ "TaskSignal" "\0"
  /* 14804 */ "TelemetryStopwatch" "\0"
  /* 14823 */ "TestAttributesOnTypes" "\0"
  /* 14845 */ "TestCEReactionsInterface" "\0"
  /* 14870 */ "TestCImplementedInterface" "\0"
  /* 14896 */ "TestCImplementedInterface2" "\0"
  /* 14923 */ "TestChildInterface" "\0"
  /* 14942 */ "TestConstructorForFuncInterface" "\0"
  /* 14974 */ "TestConstructorForPrefInterface" "\0"
  /* 15006 */ "TestConstructorForSCInterface" "\0"
  /* 15036 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15072 */ "TestDeprecatedInterface" "\0"
  /* 15096 */ "TestExampleInterface" "\0"
  /* 15117 */ "TestExampleProxyInterface" "\0"
  /* 15143 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15183 */ "TestExampleWorkerInterface" "\0"
  /* 15210 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15255 */ "TestFuncConstructorForInterface" "\0"
  /* 15287 */ "TestHTMLConstructorInterface" "\0"
  /* 15316 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15360 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15395 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15430 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15480 */ "TestIndexedGetterInterface" "\0"
  /* 15507 */ "TestIndexedSetterInterface" "\0"
  /* 15534 */ "TestInterface" "\0"
  /* 15548 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15587 */ "TestJSImplInterface" "\0"
  /* 15607 */ "TestJSImplInterface2" "\0"
  /* 15628 */ "TestJSImplInterface3" "\0"
  /* 15649 */ "TestJSImplInterface4" "\0"
  /* 15670 */ "TestJSImplInterface5" "\0"
  /* 15691 */ "TestJSImplInterface6" "\0"
  /* 15712 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15740 */ "TestNamedDeleterInterface" "\0"
  /* 15766 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15802 */ "TestNamedGetterInterface" "\0"
  /* 15827 */ "TestNamedSetterInterface" "\0"
  /* 15852 */ "TestNamespace" "\0"
  /* 15866 */ "TestNonWrapperCacheInterface" "\0"
  /* 15895 */ "TestParentInterface" "\0"
  /* 15915 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15963 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16008 */ "TestPrefConstructorForInterface" "\0"
  /* 16040 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16071 */ "TestRenamedInterface" "\0"
  /* 16092 */ "TestRenamedNamespace" "\0"
  /* 16113 */ "TestSCConstructorForInterface" "\0"
  /* 16143 */ "TestSecureContextInterface" "\0"
  /* 16170 */ "TestThrowingConstructorInterface" "\0"
  /* 16203 */ "TestUtils" "\0"
  /* 16213 */ "TestWorkerExposedInterface" "\0"
  /* 16240 */ "TestingDeprecatedInterface" "\0"
  /* 16267 */ "Text" "\0"
  /* 16272 */ "TextClause" "\0"
  /* 16283 */ "TextDecoder" "\0"
  /* 16295 */ "TextDecoderStream" "\0"
  /* 16313 */ "TextEncoder" "\0"
  /* 16325 */ "TextEncoderStream" "\0"
  /* 16343 */ "TextMetrics" "\0"
  /* 16355 */ "TextTrack" "\0"
  /* 16365 */ "TextTrackCue" "\0"
  /* 16378 */ "TextTrackCueList" "\0"
  /* 16395 */ "TextTrackList" "\0"
  /* 16409 */ "TimeEvent" "\0"
  /* 16419 */ "TimeRanges" "\0"
  /* 16430 */ "ToggleEvent" "\0"
  /* 16442 */ "Touch" "\0"
  /* 16448 */ "TouchEvent" "\0"
  /* 16459 */ "TouchList" "\0"
  /* 16469 */ "TrackEvent" "\0"
  /* 16480 */ "TransformStream" "\0"
  /* 16496 */ "TransformStreamDefaultController" "\0"
  /* 16529 */ "TransitionEvent" "\0"
  /* 16545 */ "TreeColumn" "\0"
  /* 16556 */ "TreeColumns" "\0"
  /* 16568 */ "TreeContentView" "\0"
  /* 16584 */ "TreeWalker" "\0"
  /* 16595 */ "UDPMessageEvent" "\0"
  /* 16611 */ "UDPSocket" "\0"
  /* 16621 */ "UIEvent" "\0"
  /* 16629 */ "URL" "\0"
  /* 16633 */ "URLSearchParams" "\0"
  /* 16649 */ "URLSearchParams Iterator" "\0"
  /* 16674 */ "UniFFIPointer" "\0"
  /* 16688 */ "UniFFIScaffolding" "\0"
  /* 16706 */ "UserActivation" "\0"
  /* 16721 */ "UserInteraction" "\0"
  /* 16737 */ "UserProximityEvent" "\0"
  /* 16756 */ "VRDisplay" "\0"
  /* 16766 */ "VRDisplayCapabilities" "\0"
  /* 16788 */ "VRDisplayEvent" "\0"
  /* 16803 */ "VREyeParameters" "\0"
  /* 16819 */ "VRFieldOfView" "\0"
  /* 16833 */ "VRFrameData" "\0"
  /* 16845 */ "VRMockController" "\0"
  /* 16862 */ "VRMockDisplay" "\0"
  /* 16876 */ "VRPose" "\0"
  /* 16883 */ "VRServiceTest" "\0"
  /* 16897 */ "VRStageParameters" "\0"
  /* 16915 */ "VTTCue" "\0"
  /* 16922 */ "VTTRegion" "\0"
  /* 16932 */ "ValidityState" "\0"
  /* 16946 */ "VideoColorSpace" "\0"
  /* 16962 */ "VideoDecoder" "\0"
  /* 16975 */ "VideoFrame" "\0"
  /* 16986 */ "VideoPlaybackQuality" "\0"
  /* 17007 */ "VideoTrack" "\0"
  /* 17018 */ "VideoTrackList" "\0"
  /* 17033 */ "VisualViewport" "\0"
  /* 17048 */ "WEBGL_color_buffer_float" "\0"
  /* 17073 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17103 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17132 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17162 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17193 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17223 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17258 */ "WEBGL_debug_renderer_info" "\0"
  /* 17284 */ "WEBGL_debug_shaders" "\0"
  /* 17304 */ "WEBGL_depth_texture" "\0"
  /* 17324 */ "WEBGL_draw_buffers" "\0"
  /* 17343 */ "WEBGL_explicit_present" "\0"
  /* 17366 */ "WEBGL_lose_context" "\0"
  /* 17385 */ "WEBGL_provoking_vertex" "\0"
  /* 17408 */ "WakeLock" "\0"
  /* 17417 */ "WakeLockSentinel" "\0"
  /* 17434 */ "WaveShaperNode" "\0"
  /* 17449 */ "WebExtensionContentScript" "\0"
  /* 17475 */ "WebExtensionPolicy" "\0"
  /* 17494 */ "WebGL2RenderingContext" "\0"
  /* 17517 */ "WebGLActiveInfo" "\0"
  /* 17533 */ "WebGLBuffer" "\0"
  /* 17545 */ "WebGLContextEvent" "\0"
  /* 17563 */ "WebGLFramebuffer" "\0"
  /* 17580 */ "WebGLProgram" "\0"
  /* 17593 */ "WebGLQuery" "\0"
  /* 17604 */ "WebGLRenderbuffer" "\0"
  /* 17622 */ "WebGLRenderingContext" "\0"
  /* 17644 */ "WebGLSampler" "\0"
  /* 17657 */ "WebGLShader" "\0"
  /* 17669 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17696 */ "WebGLSync" "\0"
  /* 17706 */ "WebGLTexture" "\0"
  /* 17719 */ "WebGLTransformFeedback" "\0"
  /* 17742 */ "WebGLUniformLocation" "\0"
  /* 17763 */ "WebGLVertexArrayObject" "\0"
  /* 17786 */ "WebKitCSSMatrix" "\0"
  /* 17802 */ "WebSocket" "\0"
  /* 17812 */ "WebTransport" "\0"
  /* 17825 */ "WebTransportBidirectionalStream" "\0"
  /* 17857 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17890 */ "WebTransportError" "\0"
  /* 17908 */ "WebTransportReceiveStream" "\0"
  /* 17934 */ "WebTransportSendStream" "\0"
  /* 17957 */ "WebrtcGlobalInformation" "\0"
  /* 17981 */ "WheelEvent" "\0"
  /* 17992 */ "Window" "\0"
  /* 17999 */ "WindowClient" "\0"
  /* 18012 */ "WindowContext" "\0"
  /* 18026 */ "WindowGlobalChild" "\0"
  /* 18044 */ "WindowGlobalParent" "\0"
  /* 18063 */ "WindowRoot" "\0"
  /* 18074 */ "Worker" "\0"
  /* 18081 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18107 */ "WorkerGlobalScope" "\0"
  /* 18125 */ "WorkerLocation" "\0"
  /* 18140 */ "WorkerNavigator" "\0"
  /* 18156 */ "WorkerTestUtils" "\0"
  /* 18172 */ "Worklet" "\0"
  /* 18180 */ "WorkletGlobalScope" "\0"
  /* 18199 */ "WritableStream" "\0"
  /* 18214 */ "WritableStreamDefaultController" "\0"
  /* 18246 */ "WritableStreamDefaultWriter" "\0"
  /* 18274 */ "XMLDocument" "\0"
  /* 18286 */ "XMLHttpRequest" "\0"
  /* 18301 */ "XMLHttpRequestEventTarget" "\0"
  /* 18327 */ "XMLHttpRequestUpload" "\0"
  /* 18348 */ "XMLSerializer" "\0"
  /* 18362 */ "XPathEvaluator" "\0"
  /* 18377 */ "XPathExpression" "\0"
  /* 18393 */ "XPathResult" "\0"
  /* 18405 */ "XRBoundedReferenceSpace" "\0"
  /* 18429 */ "XRFrame" "\0"
  /* 18437 */ "XRInputSource" "\0"
  /* 18451 */ "XRInputSourceArray" "\0"
  /* 18470 */ "XRInputSourceEvent" "\0"
  /* 18489 */ "XRInputSourcesChangeEvent" "\0"
  /* 18515 */ "XRPose" "\0"
  /* 18522 */ "XRReferenceSpace" "\0"
  /* 18539 */ "XRReferenceSpaceEvent" "\0"
  /* 18561 */ "XRRenderState" "\0"
  /* 18575 */ "XRRigidTransform" "\0"
  /* 18592 */ "XRSession" "\0"
  /* 18602 */ "XRSessionEvent" "\0"
  /* 18617 */ "XRSpace" "\0"
  /* 18625 */ "XRSystem" "\0"
  /* 18634 */ "XRView" "\0"
  /* 18641 */ "XRViewerPose" "\0"
  /* 18654 */ "XRViewport" "\0"
  /* 18665 */ "XRWebGLLayer" "\0"
  /* 18678 */ "XSLTProcessor" "\0"
  /* 18692 */ "XULCommandEvent" "\0"
  /* 18708 */ "XULElement" "\0"
  /* 18719 */ "XULFrameElement" "\0"
  /* 18735 */ "XULMenuElement" "\0"
  /* 18750 */ "XULPopupElement" "\0"
  /* 18766 */ "XULResizerElement" "\0"
  /* 18784 */ "XULTextElement" "\0"
  /* 18799 */ "XULTreeElement" "\0"
  /* 18814 */ "console" "\0"
  /* 18822 */ "webkitSpeechGrammar" "\0"
  /* 18842 */ "webkitSpeechGrammarList" "\0"
  /* 18866 */ "webkitSpeechRecognition" "\0"
  /* 18890 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

